Rotate the webhook signing secret (shown once)
POST
/api/projects/{id}/webhooks/rotate-secret
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Responses
200
New secret (shown once)
application/jsonwebhook_secret
string
REQUIRED
401
Unauthenticated
404
Not found
curl -X POST 'https://motioness.com/api/projects/abc123/webhooks/rotate-secret'
const response = await fetch('https://motioness.com/api/projects/abc123/webhooks/rotate-secret', { method: 'POST'});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/projects/abc123/webhooks/rotate-secret')print(response.json())
200
Response
{ "webhook_secret": "<string>"}
API Playground
Try this endpoint
POST
/api/projects/{id}/webhooks/rotate-secret